# Uses of Class
org.lwjgl.opencl.CLEvent

Packages that use CLEvent
Package
Description
org.lwjgl.opencl
org.lwjgl.opengl

## Uses of CLEvent in org.lwjgl.opencl

Methods in org.lwjgl.opencl that return CLEvent
Modifier and Type
Method
Description
`static CLEvent`
KHRGLEvent.`clCreateEventFromGLsyncKHR(CLContext context, GLSync sync, IntBuffer errcode_ret)`
`static CLEvent`
CL11.`clCreateUserEvent(CLContext context, IntBuffer errcode_ret)`
`CLEvent`
CLCommandQueue.`getCLEvent(long id)`
Returns a CLEvent associated with this command-queue.
`CLEvent`
CLContext.`getCLEvent(long id)`
Returns a user CLEvent associated with this context.
Methods in org.lwjgl.opencl with parameters of type CLEvent
Modifier and Type
Method
Description
`static int`
CL10.`clEnqueueWaitForEvents(CLCommandQueue command_queue, CLEvent event)`
Overloads clEnqueueWaitForEvents.
`static int`
CL10.`clGetEventInfo(CLEvent event, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
CL10.`clGetEventProfilingInfo(CLEvent event, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
CL10.`clReleaseEvent(CLEvent event)`
`static int`
CL10.`clRetainEvent(CLEvent event)`
`static int`
CL11.`clSetEventCallback(CLEvent event, int command_exec_callback_type, CLEventCallback pfn_notify)`
`static int`
CL11.`clSetUserEventStatus(CLEvent event, int execution_status)`
`static int`
CL10.`clWaitForEvents(CLEvent event)`
Overloads clWaitForEvents.
`protected abstract void`
CLEventCallback.`handleMessage(CLEvent event, int event_command_exec_status)`
The callback method.

## Uses of CLEvent in org.lwjgl.opengl

Methods in org.lwjgl.opengl with parameters of type CLEvent
Modifier and Type
Method
Description
`static GLSync`
ARBCLEvent.`glCreateSyncFromCLeventARB(CLContext context, CLEvent event, int flags)`